linux: fix cache bypass applicability function
authorHartmut Reuter <reuter@rzg.mpg.de>
Thu, 18 Oct 2012 11:00:18 +0000 (07:00 -0400)
committerDerrick Brashear <shadow@your-file-system.com>
Tue, 30 Oct 2012 10:06:14 +0000 (03:06 -0700)
commitd82a3d7e2c126950382e3db24e8494de5a1db2a0
tree73da5f3d8d75b475023d944c90ef4a50e127ac02
parent8927d5f3055a730c86dc2b1149d73ee3cd16af18
linux: fix cache bypass applicability function

don't allow cache bypass if execsOrWriters is true

don't trigger cache bypass based on being larger than the
"disabled" value of -1.

Change-Id: Ic174b133e5da3e9215465c9c2705c25e81a8beca
Reviewed-on: http://gerrit.openafs.org/8248
Tested-by: BuildBot <buildbot@rampaginggeek.com>
Reviewed-by: Derrick Brashear <shadow@your-file-system.com>
src/afs/LINUX/osi_vnodeops.c
src/afs/afs_pioctl.c